Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.cdo.internal.core
Class ECPProjectAdapterFactory

    java.lang.Object
      org.eclipse.emf.ecp.cdo.internal.core.ECPProjectAdapterFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory

    public class ECPProjectAdapterFactory

extends Object
implements org.eclipse.core.runtime.IAdapterFactory

Author:
  Eike Stepper

Constructor Summary
`ECPProjectAdapterFactory()`

Method Summary
`static
`<T> T`
` | `adapt(Object adaptable, Class<T> adapterType)` Adapt the given adaptable to the given type.
`Object` | `getAdapter(Object adaptable, Class adapterType)`
`Class[]` | `getAdapterList()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPProjectAdapterFactory

    public ECPProjectAdapterFactory()

Method Detail

### getAdapterList

    public Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  See Also:
    `IAdapterFactory.getAdapterList()`

### getAdapter

    public Object getAdapter(Object adaptable,
                             Class adapterType)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### adapt

    public static <T> T adapt(Object adaptable,
                              Class<T> adapterType)

  Adapt the given adaptable to the given type.

  Type Parameters:
    `T` - the type of the adapter
  Parameters:
    `adaptable` - an adaptable
    `adapterType` - the target type
  Returns:
    an object of type if supported or null

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.